This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 496642 - qemu qcow2 image corruption
qemu qcow2 image corruption
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-04-20 09:50 EDT by Mark McLoughlin
Modified: 2009-04-30 03:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 03:06:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2009-04-20 09:50:31 EDT
qcow2 images are known to be corrupted occasionally, most commonly seen as windows registry corruption.

This was recently fixed upstream by a simple one-line endianess patch:

  http://lists.gnu.org/archive/html/qemu-devel/2009-04/msg00842.html

We should include this in F11 qemu.
Comment 1 Mark McLoughlin 2009-04-20 10:39:17 EDT
Built into dist-f11-updates-candidate as qemu-0.10-11.fc11

* Mon Apr 20 2009 Mark McLoughlin <markmc@redhat.com> - 2:0.10-11
- Fix qcow2 image corruption (#496642)

dist-f11 tag request : https://fedorahosted.org/rel-eng/ticket/1550
Comment 2 Gleb Natapov 2009-04-20 13:58:37 EDT
Actually windows registry corruption was fixed by this patch: http://lists.gnu.org/archive/html/qemu-devel/2009-03/msg01667.html, but Kevin's patch fixes very serious issue too.
Comment 3 Mark McLoughlin 2009-04-21 05:04:02 EDT
Thanks Gleb, I've included Nolan's patch now too:

* Tue Apr 21 2009 Mark McLoughlin <markmc@redhat.com> - 2:0.10-12
- Another qcow2 image corruption fix (#496642)
Comment 4 Mark McLoughlin 2009-04-30 03:06:22 EDT
Okay, this is in rawhide now

Note You need to log in before you can comment on or make changes to this bug.